
GammaLib - Change request #567

Check isin() semantics.

10/15/2012 12:34 PM - Knödlseder Jürgen

Status: Closed Start date: 10/15/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-08-00   

Description

The actual interface uses A.isin(B) for a class to check whether B is in A. This is semantically incorrect. One should better use

A.contains(B) to do the check.

The interface should be scanned for such semantic errors and be corrected accordingly.

History

#1 - 10/15/2012 12:35 PM - Knödlseder Jürgen

- Tracker changed from Bug to Change request

#2 - 12/24/2013 10:19 PM - Knödlseder Jürgen

- Status changed from New to Closed

- Assigned To set to Knödlseder Jürgen

- Target version set to 00-08-00

- % Done changed from 0 to 100

No isin() method exists anymore.
